=== debian/changelog ===
ros-galactic-rosbag2-bag-v2-plugins (0.2.0-1focal) focal; urgency=high

  * remove rosbag2 transport (#43 <https://github.com/ros2/rosbag2_bag_v2/issues/43>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 18 May 2021 07:00:00 -0000

ros-galactic-rosbag2-bag-v2-plugins (0.1.0-1focal) focal; urgency=high

  * Update to the latest rosbag1. (#40 <https://github.com/ros2/rosbag2_bag_v2/issues/40>)
  * Fix build for latest rosbag2 StorageOptions API (#38 <https://github.com/ros2/rosbag2_bag_v2/issues/38>)
  * Contributors: Chris Lalancette, Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-galactic-rosbag2-bag-v2-plugins (0.0.9-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rosbag2-bag-v2-plugins (0.0.8-1focal) focal; urgency=high

  * Adapt storage interface for filtering topics. (#28 <https://github.com/ros2/rosbag2_bag_v2/issues/28>)
  * Raise an error instead of a warning without ROS 1. (#23 <https://github.com/ros2/rosbag2_bag_v2/issues/23>)
  * Use rosbag2 metapackage. (#16 <https://github.com/ros2/rosbag2_bag_v2/issues/16>)
  * Contributors: Emerson Knapp, Mabel Zhang, Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-rosbag2-bag-v2-plugins (0.0.7-1focal) focal; urgency=high

  * Update interfaces to eloquent API. (#8 <https://github.com/ros2/rosbag2_bag_v2/issues/8>)
  * Implement changes in IO interfaces. (#7 <https://github.com/ros2/rosbag2_bag_v2/issues/7>)
  * Contributors: Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-galactic-rosbag2-bag-v2-plugins (0.0.6-1focal) focal; urgency=high

  * warn when roscpp is not found (#4 <https://github.com/ros2/rosbag2_bag_v2/issues/4>)
    Signed-off-by: osrf <mailto:karsten@openrobotics.org>
  * New type identification (#3 <https://github.com/ros2/rosbag2_bag_v2/issues/3>)
    * update logging macros
    Signed-off-by: osrf <mailto:karsten@openrobotics.org>
    * correct typo in filename
    Signed-off-by: osrf <mailto:karsten@openrobotics.org>
    * use new type identification
    Signed-off-by: osrf <mailto:karsten@openrobotics.org>
  * compile tests (#2 <https://github.com/ros2/rosbag2_bag_v2/issues/2>)
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * remove duplicate repos (#1 <https://github.com/ros2/rosbag2_bag_v2/issues/1>)
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * correct missing linter errors (#96 <https://github.com/ros2/rosbag2_bag_v2/issues/96>)
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * removed dependency to ros1_bridge package (#90 <https://github.com/ros2/rosbag2_bag_v2/issues/90>)
    * removed dependency to ros1_bridge package:
    * checking if package is available
    * if not skipping (with warnings)
    * now rosbag2_tests builds on systems without ros1
    * check ros1 deps correctly on all packages
    * add ros1_bridge to test package
    * silently try to find the bridge
  * Contributors: DensoADAS, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 06 Jun 2019 07:00:00 -0000

ros-galactic-rosbag2-bag-v2-plugins (0.0.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-galactic-rosbag2-bag-v2-plugins (0.0.4-1focal) focal; urgency=high

  * 0.0.3
  * manually bump version number as catkin_prepare_release complains
  * generate changelog
  * Contributors: Karsten Knese, Martin Idel

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-galactic-rosbag2-bag-v2-plugins (0.0.3-1focal) focal; urgency=high

  * Release fixes (#73 <https://github.com/ros2/rosbag2/issues/73>)
  * Play old bagfiles (#69 <https://github.com/ros2/rosbag2/issues/69>)
  * Contributors: Karsten Knese, Martin Idel

 -- Karsten Knese <karsten@openrobotics.org>  Fri, 14 Dec 2018 08:00:00 -0000

ros-galactic-rosbag2-bag-v2-plugins (0.0.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-galactic-rosbag2-bag-v2-plugins (0.0.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 11 Dec 2018 08:00:00 -0000
