=== debian/control ===
Source: ros-galactic-rosbag2-bag-v2-plugins
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gmock, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-class-loader, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rcutils, ros-galactic-ros1-bridge, ros-galactic-ros1-rosbag-storage-vendor, ros-galactic-rosbag2, ros-galactic-rosbag2-storage, ros-galactic-rosbag2-test-common, ros-galactic-rosbag2-transport, ros-galactic-std-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosbag2-bag-v2-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-class-loader, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rcutils, ros-galactic-ros1-bridge, ros-galactic-ros1-rosbag-storage-vendor, ros-galactic-rosbag2, ros-galactic-rosbag2-storage, ros-galactic-ros-workspace
Description: Package containing storage and converter plugins for rosbag 1
